Subject: bug#78868: latexminted does not find kpsewhich

From: Nicolas Goaziou <[email-masked]>
Date: Mon, 23 Jun 2025 21:48:46 +0200

Hello,

"Dr. Arne Babenhauserheide" via Bug reports for GNU Guix <[email-masked]> writes:

> latexminted does not work for me anymore since about 4 weeks ago. This
> breaks all source code highlighting of my org-mode pdf export.
>
> To reproduce -- uses the LaTeX file from https://paste.debian.net/1381660/
> as advent-of-wisp-code-2021.tex:
>
> guix shell texlive-minted -- pdflatex -shell-escape advent-of-wisp-code-2021
>

[...]

> latexrestricted.err.LatexConfigError: Environment variable SELFAUTOLOC has value "/gnu/store/dzg9pj5p5wi3hwigckqkyl6114ajmy89-texlive-bin-2025.2/bin", but a "kpsewhich" executable was not found at that location
> system returned with code 256

I can reproduce the error. I made a PR to fix this (<https://codeberg.org/guix/guix/pulls/784>).

However, I still cannot build your document because it is not minimal at all and require much more than texlive-minted.

Regards,
-- 
Nicolas Goaziou